package streams3;

import java.util.stream.*;

public class MapToObjElem implements IMath {
	public static void main(String[] args) {
		// tablica losowo wybranych intów
		int[] tabl = new int[5];
		int i;
		for (i = 0; i < tabl.length; i++) {
			tabl[i] = IMath.randomInRange(100, 1000);
		}
		String[] tabl2 = new String[5];
		// Każdy element przekształcamy w string
		// Stara metoda
		for (i = 0; i < tabl.length; i++) {
			tabl2[i] = String.valueOf(tabl[i]);
			System.out.print(tabl[i] + " ");
		}
		System.out.println();
		// Nowa metoda
		IntStream.of(tabl).mapToObj(value -> String.valueOf(value)).forEach(value -> System.out.print(value + " "));
		System.out.println();
		// albo
		Stream<String> s = IntStream.of(tabl).mapToObj(value -> String.valueOf(value));
		s.forEach(value -> System.out.print(value + " "));
	}
}
