package streams3;

import java.util.*;
import java.util.stream.*;

class MinElem implements IMath {
	public static void main(String[] args) {
		// Średnia elementów

		// stara metoda
		int min = Integer.MAX_VALUE;
		for (int a : tabl) {
			min = Math.min(a, min);
		}
		System.out.println(min);
		// stara metoda 2
		Arrays.sort(tabl);
		System.out.println(tabl[0]);
		// nowa metoda
		System.out.println(IntStream.of(tabl).min().getAsInt());
		// albo
		System.out.println(IntStream.of(tabl).reduce(Integer::min).getAsInt());
	}
}
