package streams3;

import java.util.stream.*;

class Reduce2 implements IMath {
	public static void main(String[] args) {

		// sumowanie elementów
		System.out.println(IntStream.of(tabl).reduce(0, (x, y) -> x + y));
		// albo
		System.out.println(IntStream.of(tabl).reduce(0, Integer::sum));
		// mnożenie elementów
		System.out.println(IntStream.of(tabl).reduce(1, (x, y) -> x * y));
		// wybranie elementu max
		System.out.println(IntStream.of(tabl).reduce(Integer.MIN_VALUE, (x, y) -> Math.max(x, y)));
		// albo
		System.out.println(IntStream.of(tabl).reduce(Integer.MIN_VALUE, Integer::max));
		// wybranie elementu min
		System.out.println(IntStream.of(tabl).reduce(Integer.MAX_VALUE, (x, y) -> Math.min(x, y)));
		// albo
		System.out.println(IntStream.of(tabl).reduce(Integer.MAX_VALUE, Integer::min));
		// Suma kwadratów elementów
		System.out.println(IntStream.of(tabl).reduce(0, (x, y) -> x + y * y));
		// albo
		System.out.println(IntStream.of(tabl).reduce(0, (x, y) -> x + (int) Math.pow(y, 2)));
	}
}
