package streams3;

import java.util.*;
import java.util.stream.*;

public class SortedElem implements IMath {
	public static void main(String[] args) {
		// tablica losowo wybranych intów
		int[] tabl = new int[100];
		int i;
		for (i = 0; i < tabl.length; i++) {
			tabl[i] = IMath.randomInRange(100, 1000);
		}
		// Z tablicy liczb wybrać tylko liczby pierwsze i posortowane
		// wydrukować na konsoli
		// Stara metoda
		ArrayList<Integer> al = new ArrayList<>();
		for (i = 0; i < tabl.length; i++) {
			int a = tabl[i];
			if (IMath.isPrime(a)) {
				al.add(a);
			}
		}
		int[] tabl1 = new int[al.size()];
		for (i = 0; i < tabl1.length; i++) {
			tabl1[i] = al.get(i);
		}
		Arrays.sort(tabl1);
		for (i = 0; i < tabl1.length; i++) {
			System.out.print(tabl1[i] + " ");
		}
		System.out.println();
		// Nowa metoda
		IntStream.of(tabl).filter(value -> IMath.isPrime(value)).sorted()
				.forEach(value -> System.out.print(value + " "));
	}
}
