package streams3;

import java.util.*;
import java.util.stream.*;

class MaxElem implements IMath {
	public static void main(String[] args) {
		// Średnia elementów

		// stara metoda
		int max = Integer.MIN_VALUE;
		for (int a : tabl) {
			max = Math.max(a, max);
		}
		System.out.println(max);
		// stara metoda 2
		Arrays.sort(tabl);
		System.out.println(tabl[tabl.length - 1]);
		// nowa metoda
		System.out.println(IntStream.of(tabl).max().getAsInt());
		// albo
		System.out.println(IntStream.of(tabl).reduce(Integer::max).getAsInt());
	}
}
